/*----------------------------------------------------------------------
 * IBM Confidential
 * OCO Source Materials
 *
 * (C) Copyright IBM Corporation 1998.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *--------------------------------------------------------------------*/

package com.ibm.ras;

import java.io.*;
import java.util.*;

/**
 * <code>RASConsoleHandler</code> implements a <code>RASHandler</code> 
 * that writes to the console (<code>System.out</code>).
 *
 * @see RASHandler
 */

public class RASConsoleHandler extends RASHandler
{
private static final String S = RASCopyright.COPYRIGHT_98;


/*----------------------------------------------------------------------
 * Name:  RASConsoleHandler
 *--------------------------------------------------------------------*/
/**
 * Creates a <code>RASConsoleHandler</code>.  The name and
 * description of this object are empty strings.
 */

public RASConsoleHandler() 
{
this("", "");
}


/*----------------------------------------------------------------------
 * Name:  RASConsoleHandler
 *--------------------------------------------------------------------*/
/**
 * Creates a <code>RASConsoleHandler</code>.  The description
 * of this object is an empty string.
 *
 * @param name The name of this object.
 */

public RASConsoleHandler(String name) 
{
this(name, "");
}


/*----------------------------------------------------------------------
 * Name:  RASConsoleHandler
 *--------------------------------------------------------------------*/
/**
 * Creates a <code>RASConsoleHandler</code>.
 *
 * @param name The name of this object.
 * @param desc The description of this object.
 */

public RASConsoleHandler(String name, String desc)
{
super(name, desc);
}


/*----------------------------------------------------------------------
 * Name:  openDevice
 *--------------------------------------------------------------------*/
/**
 * Opens the device to which the handler will send its log entries.
 * If an error occurs during this process, the handler will write a
 * message to <code>System.err</code>.
 * <p>
 * The caller should ensure that this method is not called if the device
 * is already open or if cannot tolerate attempts to reopen it.
 * <p>
 * For the <code>RASConsoleHandler</code>, the device is 
 * <code>System.out</code>.
 **/

public void openDevice()
{
pWriter = new PrintWriter(System.out, true);
deviceOpen = true;
}

}
