/*----------------------------------------------------------------------
 * IBM Confidential
 * OCO Source Materials
 *
 * (C) Copyright IBM Corporation 1998.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *--------------------------------------------------------------------*/

package com.ibm.ras;

/**
 * This class contains copyright statements which are included in each
 * class file of this package.  The long form must be included in the main
 * class of each major component, and the short form must be in all
 * other classes.
 * <p>
 * The reason for having a separate class for these statements is to make
 * it possible to update them once, and still affect all the class files in
 * a product.
 * <p>
 * There are numerous ways to use this class to achieve the goal of having
 * a readable copyright statement in a class file.  The easiest way is to
 * define a static string, as in this example:
 * <pre>
 * private static final String S = RASCopyright.COPYRIGHT_98;
 * </pre>
 * This statement will appear in the class file, even if optimization
 * is used.
 */

// Copyright statements should not be translated.

public class RASCopyright
{

/**
 * Short copyright dated 1997.
 */

public static final String COPYRIGHT_97 =
  "(C) Copyright IBM Corp. 1997.";

/**
 * Short copyright dated 1998.
 */

public static final String COPYRIGHT_98 =
  "(C) Copyright IBM Corp. 1998.";

/**
 * Short copyright dated 1997, 1998.
 */

public static final String COPYRIGHT_97_98 =
  "(C) Copyright IBM Corp. 1997, 1998.";

/**
 * Default short copyright (dated 1998).
 */

public static final String COPYRIGHT = COPYRIGHT_98;

/**
 * Long copyright dated 1997.
 */

public static final String LONG_COPYRIGHT_97 =
  "Licensed Materials - Property of IBM.  " +
  "(C) Copyright IBM Corp. 1997.  All rights reserved.  " +
  "US Government Users Restricted Rights - Use, duplication, or " +
  "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";

/**
 * Long copyright dated 1998.
 */

public static final String LONG_COPYRIGHT_98 =
  "Licensed Materials - Property of IBM.  " +
  "(C) Copyright IBM Corp. 1998.  All rights reserved.  " +
  "US Government Users Restricted Rights - Use, duplication, or " +
  "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";

/**
 * Long copyright dated 1997, 1998.
 */

public static final String LONG_COPYRIGHT_97_98 =
  "Licensed Materials - Property of IBM.  " +
  "(C) Copyright IBM Corp. 1997, 1998.  All rights reserved.  " +
  "US Government Users Restricted Rights - Use, duplication, or " +
  "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";

/**
 * Default long copyright (dated 1998).
 */

public static final String LONG_COPYRIGHT = LONG_COPYRIGHT_98;
}
