/*----------------------------------------------------------------------
 * IBM Confidential
 * OCO Source Materials
 *
 * (C) Copyright IBM Corporation 1998.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *--------------------------------------------------------------------*/

package com.ibm.ras;

import java.util.EventListener;

/**
 * <code>RASIMaskChangeListener</code> defines the methods that must 
 * be implemented to process changes that occur in the 
 * <code>RASHandler</code> message and trace masks.
 *
 * @see RASIHandler
 * @see RASILogger
 */

public interface RASIMaskChangeListener extends EventListener
{

/*----------------------------------------------------------------------
 * Name: maskValueChanged
 *--------------------------------------------------------------------*/
/**
 * Indicates that the value of the handler's message or trace mask has
 * changed.
 * <p>
 * This method is intended to improve the performance of the 
 * <code>RASLogger.isLoggable</code> method.  When notified of a change
 * in the value of a handler's mask, the logger can update its
 * internal data, which allows the logger to determine if a RAS event
 * will be logged.
 **/

public void maskValueChanged();
}
