/*----------------------------------------------------------------------
 * IBM Confidential
 * OCO Source Materials
 *
 * (C) Copyright IBM Corporation 1998.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *--------------------------------------------------------------------*/

package com.ibm.ras;

/**
 * <code>RASIMessageEvent</code> defines a set of constants related to
 * <code>RASMessageEvents</code>.
 */

public interface RASIMessageEvent
{

/**
 * Defines an informational message.
 * This value is the same as TYPE_INFORMATION.
 */

public static final long TYPE_INFO = 0x01;

/**
 * Defines an informational message.
 * This value is the same as TYPE_INFO.
 */

public static final long TYPE_INFORMATION = TYPE_INFO;

/**
 * Defines a warning message.
 * This value is the same as TYPE_WARNING.
 */

public static final long TYPE_WARN = 0x02;

/**
 * Defines a warning message.
 * This value is the same as TYPE_WARN.
 */

public static final long TYPE_WARNING = TYPE_WARN;

/**
 * Defines an error message.
 * This value is the same as TYPE_ERROR.
 */

public static final long TYPE_ERR = 0x04;

/**
 * Defines an error message.
 * This value is the same as TYPE_ERR.
 */

public static final long TYPE_ERROR = TYPE_ERR;

/**
 * Defines the default mask, which includes the message types to be
 * processed by the <code>RASHandlers</code>.
 */

public static final long DEFAULT_MESSAGE_MASK =
 TYPE_INFO |
 TYPE_WARN | 
 TYPE_ERR;
}
