/*----------------------------------------------------------------------
 * IBM Confidential
 * OCO Source Materials
 *
 * (C) Copyright IBM Corporation 1998.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *--------------------------------------------------------------------*/

package com.ibm.ras.mgr;

import com.ibm.ras.RASCopyright;

/**
 * <code>RASDefaultDataStore</code> is a default implementation of the
 * <code>RASIDataStore</code> interface.  In this implementation,
 * no persistent storage is assumed and the methods do nothing.
 *
 * @see RASIDataStore
 */

public class RASDefaultDataStore implements RASIDataStore
{
private static final String S = RASCopyright.COPYRIGHT_98;

/*----------------------------------------------------------------------
 * Name:  RASDefaultDataStore
 *--------------------------------------------------------------------*/
/**
 * Creates a <code>RASDefaultDataStore</code>.
 */

public RASDefaultDataStore()
{
}


/*----------------------------------------------------------------------
 * Name:  restoreConfig
 *--------------------------------------------------------------------*/
/**
 * Restores the <code>RASManager</code> configuration from persistent
 * storage.  This method is called automatically when the 
 * <code>RASManager</code> is created and can be called anytime the
 * stored configuration should be reloaded.
 *
 * @param baseGroup The <code>RASBaseGroup</code> which holds the 
 *                  configuration loaded from persistent store.
 */

public void restoreConfig(RASBaseGroup baseGroup)
{
}


/*----------------------------------------------------------------------
 * Name:  saveConfig
 *--------------------------------------------------------------------*/
/**
 * Saves the <code>RASManager</code> configuration to persistent
 * storage.
 *
 * @param baseGroup The <code>RASBaseGroup</code> which holds the 
 *                  configuration to be saved in persistent store.
 */

public void saveConfig(RASBaseGroup baseGroup)
{
}

}
