/*----------------------------------------------------------------------
 * IBM Confidential
 * OCO Source Materials
 *
 * (C) Copyright IBM Corporation 1998.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 *--------------------------------------------------------------------*/

package com.ibm.ras.mgr;

/**
 * <code>RASIDataStore</code> defines an interface to allow RAS configuration
 * data to be saved to and restored from persistent storage (such as a
 * properties file on disk).  <code>RASManager</code> requires an
 * object that implements this interface.
 *
 * @see RASManager
 * @see RASBaseGroup
 * @see RASDefaultDataStore
 * @see RASPropertyDataStore
 */

public interface RASIDataStore
{

/*----------------------------------------------------------------------
 * Name:  restoreConfig
 *--------------------------------------------------------------------*/
/**
 * Restores the <code>RASManager</code> configuration from persistent
 * storage.  This method is called automatically when the 
 * <code>RASManager</code> is created and can be called anytime the
 * stored configuration should be reloaded.
 *
 * @param baseGroup The <code>RASBaseGroup</code> which holds the 
 *                  configuration loaded from persistent store.
 */

public void restoreConfig(RASBaseGroup baseGroup);


/*----------------------------------------------------------------------
 * Name:  saveConfig
 *--------------------------------------------------------------------*/
/**
 * Saves the <code>RASManager</code> configuration to persistent
 * storage.
 *
 * @param baseGroup The <code>RASBaseGroup</code> which holds the 
 *                  configuration to be saved in persistent store.
 */

public void saveConfig(RASBaseGroup baseGroup);
}
